Bug 1055400 (CVE-2013-7130)

Summary: CVE-2013-7130 OpenStack nova: Live migration can leak root disk into ephemeral storage
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aortega, apevec, ayoung, carnil, chrisw, gkotton, gmollett, iheim, lhh, markmc, ndipanov, rbryant, sclewis, security-response-team, sradvan, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140123,reported=20130120,source=distros,cvss2=3.5/AV:N/AC:M/Au:S/C:P/I:N/A:N,fedora-all/openstack-nova=affected,epel-6/openstack-nova=affected,openstack-3/openstack-nova=affected,openstack-4/openstack-nova=affected,openstack-rdo/openstack-nova=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-15 03:09:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1055724, 1055725, 1057310, 1057311, 1057312    
Bug Blocks: 1023240, 1055401    
Attachments:
Description Flags
CVE-2013-7130-master.patch
none
CVE-2013-7130-stable-grizzly.patch
none
CVE-2013-7130-stable-havana.patch none

Description Kurt Seifried 2014-01-20 02:41:17 EST
Grant Murphy of Red Hat reports:

Title: Live migration can leak root disk into ephemeral storage
Reporter: Loganathan Parthipan (HP)
Products: Nova
Affects: All supported versions

Description:
Loganathan Parthipan from Hewlett Packard reported a vulnerability in
the Nova libvirt driver. By spawning a server with the same flavor as
another user's migrated virtual machine, an authenticated user can
potentially access that user's snapshot content resulting in information
leakage. Only setups using KVM live block migration are affected.
Comment 2 Kurt Seifried 2014-01-20 02:42:18 EST
Created attachment 852636 [details]
CVE-2013-7130-master.patch
Comment 3 Kurt Seifried 2014-01-20 02:42:35 EST
Created attachment 852637 [details]
CVE-2013-7130-stable-grizzly.patch
Comment 4 Kurt Seifried 2014-01-20 02:42:50 EST
Created attachment 852638 [details]
CVE-2013-7130-stable-havana.patch
Comment 7 Kurt Seifried 2014-01-23 15:09:42 EST
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 1057310]
Affects: epel-6 [bug 1057311]
Comment 8 Fedora Update System 2014-02-04 22:34:39 EST
openstack-nova-2013.2.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-02-04 22:35:14 EST
openstack-nova-2013.1.4-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Kurt Seifried 2014-02-06 21:31:47 EST
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. The OpenStack project acknowledges Loganathan Parthipan as the original reporter.
Comment 12 errata-xmlrpc 2014-03-04 14:04:55 EST
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0231 https://rhn.redhat.com/errata/RHSA-2014-0231.html
Comment 13 errata-xmlrpc 2014-04-03 16:21:00 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0366 https://rhn.redhat.com/errata/RHSA-2014-0366.html